//
//  KEventUtils.m
//  KEdit
//
//  Created by Karino, Masatsugu on Tue Dec 02 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import "KEventUtils.h"


@implementation KEventUtils

@end

@implementation NSEvent (Additions)

- (NSEvent*)copyKeyEventWithCharacters:(NSString*)characters;
{
  return [NSEvent keyEventWithType:[self type]
		    location:[self locationInWindow]
				modifierFlags:[self modifierFlags]
				timestamp:[self timestamp]
				windowNumber:[self windowNumber]
				context:[self context]
				characters:characters
				charactersIgnoringModifiers:characters
				isARepeat:[self isARepeat]
				keyCode:[self keyCode] ];
}

@end