//
//  KResUtils.m
//  KEdit
//
//  Created by  k on Fri Apr 25 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import <Carbon/Carbon.h>
#import "KResUtils.h"

@implementation KResUtils

+ (BOOL)attachResource:(NSData*)data toFile:(NSString*)fileName withName:(NSString*)resName
{
	FSRef ref;
	const UInt8* path = [fileName UTF8String];
	OSStatus err = FSPathMakeRef(path, &ref, NULL);
	if(err != noErr){ return NO; }
	
	FSSpec fileSpec;
	err = FSGetCatalogInfo(&ref, kFSCatInfoNone, NULL, NULL, &fileSpec, NULL);
	if(err != noErr){ return NO; }
	
	//ConstStr255Param name = "\pcurname";
	
	SInt16 fRefNum = FSpOpenResFile(&fileSpec, fsRdWrPerm);
	UseResFile(fRefNum);
	
	UpdateResFile(fRefNum);
	CloseResFile(fRefNum);
	FlushVol(NULL, fileSpec.vRefNum);
	
	return YES;
}

@end
